__gnu_pbds::direct_mod_range_hashing< Size_Type >(3cxx)

NAME
__gnu_pbds::direct_mod_range_hashing< Size_Type > - A mod range-hashing class (uses the modulo function).

SYNOPSIS

Inherits __gnu_pbds::detail::mod_based_range_hashing< std::size_t >.

  Public Types

typedef Size_Type size_type

  Public Member Functions

void swap (direct_mod_range_hashing< Size_Type > &other)

  Protected Member Functions

void notify_resized (size_type s)
void notify_resized (size_type size)
size_type operator() (size_type hash) const
Transforms the __hash value hash into a ranged-hash value (using a modulo operation).
size_type range_hash (size_type s) const
void swap (mod_based_range_hashing &other)

Detailed Description

  template<typename Size_Type = std::size_t>
class __gnu_pbds::direct_mod_range_hashing< Size_Type >" A mod range-hashing class (uses the modulo function).

Member Function Documentation

  template<typename Size_Type = std::size_t> size_type __gnu_pbds::direct_mod_range_hashing< Size_Type >::operator() (size_type hash) const [inline], [protected]

Transforms the __hash value hash into a ranged-hash value (using a modulo operation).

Author

Generated automatically by Doxygen for libstdc++ from the source code.